@import url(https://fonts.googleapis.com/css?family=Open+Sans:300,600);
:root {
    /* CSS HEX */
    --nav: #FFF;
    --background: #121212;
    --warning: #b80c09ff;
    --honey-yellow: #f7b32bff;
    --padding: #1ea896ff;
    --eton-blue: #95c6a6ff;
}

*,
*::before,
*::after {
    box-sizing: border-box;
}

body {
    margin: 0;
    background: var(--background);
    font-family: "Open Sans", sans-serif;
    font-weight: 400;
}

.citationlogo {
    width: 89px;
    height: 90px;
}

.content {
    height: 200vh;
    background-color: var(--background);
    display: grid;
    place-items: center;
}

.border {
    border: solid 12px var(--padding);
    background: var(--background);
    border-radius: 2%;
    padding: 5%;
}

.button:hover {
    color: var(--honey-yellow);
}

/* navigation styles start here */

header {
    background: var(--nav);
    text-align: center;
    position: fixed;
    z-index: 999;
    width: 100%;
}

/* changed this from the tutorial video to
   allow it to gain focus, making it tabbable */
.nav-toggle {
    position: absolute !important;
    top: -9999px !important;
    left: -9999px !important;
}

.nav-toggle:focus ~ .nav-toggle-label {
    outline: 3px solid rgba(lightblue, 0.75);
}

.nav-toggle-label {
    position: absolute;
    top: 0;
    left: 0;
    margin-left: 1em;
    height: 100%;
    display: flex;
    align-items: center;
}

.nav-toggle-label span,
.nav-toggle-label span::before,
.nav-toggle-label span::after {
    display: block;
    background: var(--background);
    height: 2px;
    width: 2em;
    border-radius: 2px;
    position: relative;
}

.nav-toggle-label span::before,
.nav-toggle-label span::after {
    content: "";
    position: absolute;
}

.nav-toggle-label span::before {
    bottom: 7px;
}

    .nav-toggle-label span::after {
    top: 7px;
}

nav {
    position: absolute;
    text-align: left;
    top: 100%;
    left: 0;
    background: var(--background);
    width: 100%;
    transform: scale(1, 0);
    transform-origin: top;
    transition: transform 400ms ease-in-out;
}

nav ul {
    margin: 0;
    padding: 0;
    list-style: none;
}

nav li {
    margin-bottom: 1em;
    margin-left: 1em;
}

nav a {
    color: var(--background);
    text-decoration: none;
    font-size: 1.2rem;
    text-transform: uppercase;
    opacity: 0;
    transition: opacity 150ms ease-in-out;
}

nav a:hover {
    color: #000;
}

/*  Burger */
.nav-toggle:checked ~ nav {
    transform: scale(1, 1);
}

.nav-toggle:checked ~ nav a {
    opacity: 1;
    transition: opacity 250ms ease-in-out 250ms;
}

/* Nav Mobil  */
@media screen and (min-width: 800px) {
    .nav-toggle-label {
        display: none;
    }

    header {
        display: grid;
        grid-template-columns: 1fr auto minmax(600px, 3fr) 1fr;
    }

    .logo {
        grid-column: 2 / 3;
    }

    .border{
        border: solid 12px var(--padding);
        background: var(--background);
        border-radius: 2%;
        padding: 5%;
    }

    .border :hover {
        color: var(--honey-yellow);
    }

    /* B */
    nav {
    /* all: unset; /* this causes issues with Edge, since it's unsupported */

        /* the following lines are not from my video, but add Edge support */
        position: relative;
        text-align: left;
        transition: none;
        transform: scale(1, 1);
        background: none;
        top: initial;
        left: initial;
        /* end Edge support stuff */

        grid-column: 3 / 4;
        display: flex;
        justify-content: flex-end;
        align-items: center;
    }

    nav ul {
        display: flex;
    }

    nav li {
        margin-left: 3em;
        margin-bottom: 0;
    }

    nav a {
        opacity: 1;
        position: relative;
    }

    nav a::before {
        content: "";
        display: block;
        height: 5px;
        background: black;
        position: absolute;
        top: -0.75em;
        left: 0;
        right: 0;
        transform: scale(0, 1);
        transition: transform ease-in-out 250ms;
    }

    nav a:hover::before {
        transform: scale(1, 1);
    }

}
/* end nav */
/* Footter */
footer p {
    width: 100%;
    height: auto;
    display: flex;
    background: var(--nav);
    margin: 0 auto;
    position: absolute;
    justify-content: center;

}

